Debian Bug report logs - #722618
ftp.debian.org: DDTP translations are not updated

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Andreas Tille <tille@debian.org>

Date: Thu, 12 Sep 2013 20:36:02 UTC

Severity: important

Done: Ansgar Burchardt <ansgar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-l10n-devel@lists.alioth.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#722618; Package ftp.debian.org. (Thu, 12 Sep 2013 20:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
New Bug report received and forwarded. Copy sent to debian-l10n-devel@lists.alioth.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Thu, 12 Sep 2013 20:36:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ftp.debian.org: DDTP translations are not updated
Date: Thu, 12 Sep 2013 22:31:59 +0200
Package: ftp.debian.org
Severity: important

Hello,

since June the DDTP translations are not integrated into official Debian
any more which might make translators unwilling to keep on their good
work and prevents users from profiting from the translations.  Instead
of a proper import the daily cron job is sending mails like this:

  First mail of this kind:
  [1]  https://lists.alioth.debian.org/pipermail/debian-l10n-devel/2013-May/002486.html
        which is refering to
          missing the timestamp 201304290837 directory, not updating i18n

  [2]  https://lists.alioth.debian.org/pipermail/debian-l10n-devel/2013-June/002659.html
        which is refering to
          missing the timestamp 201306050912 directory, not updating i18n

  Last mail of this kind from today:
  [3]  https://lists.alioth.debian.org/pipermail/debian-l10n-devel/2013-September/003113.html

However the spook started with some other "Arf-Mail":

  [4] https://lists.alioth.debian.org/pipermail/debian-l10n-devel/2013-April/002478.html
          bad guys, wrong files

and interestingly this type of mails

  [5] https://lists.alioth.debian.org/pipermail/debian-l10n-devel/2013-June/002658.html
          bad guys, wrong files

stopped once the type [2] mails started (see thread archive).

We have two orthogonal problems which might have cause these issues:

  1. Wheezy was released and Jessie would have needed to be included on
     ftpmaster side.  In

      https://lists.debian.org/debian-i18n/2013/05/msg00067.html

      Martijn van Oosterhout <kleptog@gmail.com>

     has provided a patch which probably was not directed to the right
     persons (which I'm trying to fix by this bug report).

  2. There was an additional problem with the computer hosting
     ddpt.debian.net which was down for several weeks. :-(
     So in addition to the patch provided by Martijn it could
     perfectly be the case that some directories with timestamps
     (see Arf above) might be missing or improperly named.

I'm personally not involved in i18n and the technique behind but the
i18n team seems to have a dramatic loss of manpower so nobody has raised
your attention onto this issue.  I'm volunteering to stir the
communication as long as needed to get the translations properly
forwarded (and I really hope we will get this done before my vaccation
which will start at 20.9.2013).

Kind regards and thanks for your work as ftpmaster

     Andreas.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#722618; Package ftp.debian.org. (Thu, 12 Sep 2013 21:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Thu, 12 Sep 2013 21:21:08 GMT) Full text and rfc822 format available.

Message #10 received at 722618@bugs.debian.org (full text, mbox):

From: Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>
To: 722618@bugs.debian.org, debian-l10n-devel@lists.alioth.debian.org
Subject: Re: Bug#722618: ftp.debian.org: DDTP translations are not updated
Date: Thu, 12 Sep 2013 23:17:53 +0200
Hi Andreas,

thank you very much for the report.

> since June the DDTP translations are not integrated into official Debian

It's even worse: no update since the day before the wheezy release (1,2).

> any more which might make translators unwilling to keep on their good
> work and prevents users from profiting from the translations.

As translator I can confirm that it really sucks.

Cheers,
   Martin

1: http://ftp.debian.org/debian/dists/sid/main/i18n/
2: http://ftp.debian.org/debian/dists/jessie/main/i18n/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#722618; Package ftp.debian.org. (Thu, 12 Sep 2013 21:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@fam-tille.de>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Thu, 12 Sep 2013 21:39:11 GMT) Full text and rfc822 format available.

Message #15 received at 722618@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@fam-tille.de>
To: 722618@bugs.debian.org
Cc: Martijn van Oosterhout <kleptog@gmail.com>
Subject: Re: Bug#722618: ftp.debian.org: DDTP translations are not updated
Date: Thu, 12 Sep 2013 23:36:36 +0200
Hi again,

I asked Martijn to forward this information to the bug report but may be
he went to bed inbetween - so here is some additional information.

Hope this helps

       Andreas.

----- Forwarded message from Martijn van Oosterhout <kleptog@gmail.com> -----

Date: Thu, 12 Sep 2013 22:27:25 +0200
From: Martijn van Oosterhout <kleptog@gmail.com>
To: Christian Perrier <bubulle@debian.org>
Cc: Andreas Tille <tille@debian.org>, Michael Bramer <grisu@deb-support.de>
Subject: Re: DDTP keps on Arf-ing (Was: Virtual box as replacement for ddtp.debian.net)

Actually, I take that back. That problem has been fixed. It you checkout
the following repository:
http://ftp-master.debian.org/git/dak.git/

You can see a commit three days ago by Ansgar Burchardt  that fixes that.
So that's not the issue then...

I found something interesting, there are the scripts that do the i18n
checks in ~ddtp/ddtp-install, and another copy of the scripts in
/srv/scripts and they are not quite in sync. The first set of scripts is
outputting to ~ddtp/packagelist, which the second set goes to
/srv/ddtp-dinstall/to-dak. The latter is where dak looks and that is not
being updated. Should be easy to fix...



On 12 September 2013 21:03, Martijn van Oosterhout <kleptog@gmail.com>wrote:

> I'm pretty sure the issue is the one I noted in this email:
>
> http://lists.debian.org/debian-i18n/2013/05/msg00067.html
>
> Namely, the program on their side that checks the Translation files has
> not been updated to include jessie. I thought it had been communicated but
> TBH I don't remember when/where. I'm not sure of the procedure either, just
> sending email doesn't appear to work well. Perhaps filing a bug is better?
> Can you file against ftpmaster?
>
> Have a nice day,
> --
> Martijn van Oosterhout <kleptog@gmail.com> http://svana.org/kleptog/

-- 
Martijn van Oosterhout <kleptog@gmail.com> http://svana.org/kleptog/

----- End forwarded message -----

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#722618; Package ftp.debian.org. (Thu, 12 Sep 2013 22:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martijn van Oosterhout <kleptog@svana.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Thu, 12 Sep 2013 22:09:12 GMT) Full text and rfc822 format available.

Message #20 received at 722618@bugs.debian.org (full text, mbox):

From: Martijn van Oosterhout <kleptog@svana.org>
To: Andreas Tille <tille@debian.org>, 722618@bugs.debian.org
Subject: Re: [Debian-l10n-devel] Bug#722618: ftp.debian.org: DDTP translations are not updated
Date: Thu, 12 Sep 2013 23:46:10 +0200
[Message part 1 (text/plain, inline)]
On Thu, Sep 12, 2013 at 10:31:59PM +0200, Andreas Tille wrote:
> We have two orthogonal problems which might have cause these issues:
> 
>   1. Wheezy was released and Jessie would have needed to be included on
>      ftpmaster side.  In
> 
>       https://lists.debian.org/debian-i18n/2013/05/msg00067.html
> 
>       Martijn van Oosterhout <kleptog@gmail.com>
> 
>      has provided a patch which probably was not directed to the right
>      persons (which I'm trying to fix by this bug report).

It's possible this may have been dealt with after all. Looking at the
repository at http://ftp-master.debian.org/git/dak.git/ there is a
commit from a few days ago:

commit 278c336540a48829f0d0b6ae81968640f40aab21
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Sun Sep 8 12:12:24 2013 +0200

    ddtp-i18n-check.sh: testing is jessie

Which looks like it may have fixed that particular issue but it doesn't
appear to be enough.  I'm attempting to debug the issue from this end.

Have a nice day,
-- 
Martijn van Oosterhout   <kleptog@svana.org>   http://svana.org/kleptog/
> He who writes carelessly confesses thereby at the very outset that he does
> not attach much importance to his own thoughts.
   -- Arthur Schopenhauer
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ansgar Burchardt <ansgar@debian.org>:
You have taken responsibility. (Sun, 15 Sep 2013 06:45:09 GMT) Full text and rfc822 format available.

Notification sent to Andreas Tille <tille@debian.org>:
Bug acknowledged by developer. (Sun, 15 Sep 2013 06:45:10 GMT) Full text and rfc822 format available.

Message #25 received at 722618-done@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 722618-done@bugs.debian.org, 721743-done@bugs.debian.org
Subject: i18n for jessie works
Date: Sun, 15 Sep 2013 08:43:38 +0200
Hi,

the Translation-* files for jessie are present now.

Ansgar



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Oct 2013 07:27:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:27:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.